#!/bin/sh
#
# This will install fvwm2gnome in your home directory as $HOME/.fvwm2,
# prior to checking if the directory already exists, and if a .fvwm2rc
# file exists, then it will create a backup before continuing. 
#
# 05/10/98 -- Clarence Smith, Jr <csmith@staticbomb.com>

FVWMDIR="$HOME/.fvwm2"
RCFILE="$HOME/.fvwm2rc"
DEFAULT="system.fvwm2rc"

export FVWMDIR RCFILE DEFAULT

if [ -d $FVWMDIR ]; then
	echo "Whoops!"
	echo "$FVWMDIR already exists, copying to $FVWMDIR.orig"
	echo

	mv $FVWMDIR $FVWMDIR.orig

	echo "Creating $FVWMDIR"
        mkdir $FVWMDIR
        for i in config icons pixmaps README
        do
                cp -R $i $FVWMDIR
        done

else
        mkdir $FVWMDIR
	for i in config icons pixmaps
	do
		cp -R $i $FVWMDIR
	done
fi

if [ -e $RCFILE ]; then
	echo "Doh!"
	echo "$RCFILE already exists, copying to $RCFILE.orig"
	echo

	echo "Creating $RCFILE"
	mv $RCFILE $RCFILE.orig
	cp $DEFAULT $RCFILE

else
	cp $DEFAULT $RCFILE

fi

echo
echo "Done!"

#####
# EOF, <csmith@staticbomb.com>
#####
